<?php
  echo "<pre>"; // Umożliwia wywietlanie spacji

  $h = 'Rasmus';

  printf("[%s]\n",         $h); // Wywietlanie tekstu w zwykły sposób
  printf("[%12s]\n",       $h); // Wyrównanie do prawej, dopełnienie spacjami
  printf("[%-12s]\n",      $h); // Wyrównanie do lewej, dopełnienie spacjami
  printf("[%012s]\n",      $h); // Dopełnienie zerami
  printf("[%'#12s]\n\n",   $h); // Zastosowanie niestandardowego znaku '#'

  $d = 'Rasmus Lerdorf';        // Twórca języka PHP

  printf("[%12.8s]\n",     $d); // Wyrównanie do prawej, przycięcie do 8 znaków
  printf("[%-12.12s]\n",   $d); // Wyrównanie do lewej, przycięcie do 12 znaków
  printf("[%-'@12.10s]\n", $d); // Wyrównanie do lewej, przycięcie do 10 znaków i dopełnienie znakami '@'
?>
